
/* Import des polices distantes */
@import url('https://fonts.googleapis.com/css?family=Kiwi+Maru|Comfortaa|Lato');

:root {
    /* Couleurs persos définies dans la charte graphique */
    --orange: #e78200;
    --violet: #650d88;
    font-family: Lato, Comfortaa, sans-serif;
}

h1 {
    font-family: "Kiwi Maru", Comfortaa, sans-serif;
    text-align: center;
}

h2, h3, h4, h5, h6 {
    font-family: Comfortaa, sans-serif;
    text-align: center;
}

.btn-primary {
    background-color: var(--orange);
    border-color: var(--orange);
}

.btn-secondary {
    background-color: var(--violet);
    border-color: var(--violet);
}

.btn-primary:hover, .btn-primary:active, .btn-primary:focus {
    background-color: var(--violet) !important;
    border-color: var(--violet) !important;
}

.btn-secondary:hover, .btn-secondary:active, .btn-secondary:focus {
    background-color: var(--orange) !important;
    border-color: var(--orange) !important;
}

.btn-primary:disabled, .btn-secondary:disabled {
    background-color: var(--gray) !important;
    border-color: var(--gray) !important;
}

/* Fin de la charte graphique */

footer {
    color: white;
    padding-top: 6em;
    width:100%;
}

.footer-copyright {
    background-color: #231f20;
}

header{
    height: 8em;
    width: 100%;
    background-color: var(--violet);
    color: white;
}

header .d-flex{
    padding-right: 2%;
}

.overlay-noscript {
    position: fixed;
    display: block;
    width: 100%;
    height: 100%;
    top: 0;
    left: 0;
    right: 0;
    bottom: 0;
    background-color: rgba(0,0,0,0.5);
    z-index: 2;
    cursor: default;
}

.overlay-noscript-text{
    position: absolute;
    top: 50%;
    left: 50%;
    font-size: 50px;
    color: white;
    transform: translate(-50%,-50%);
    -ms-transform: translate(-50%,-50%);
}

#logo{
    url(./css/logo.png)
    width: 100px;
    height: 100px;
    margin-top: 1em;
}

nav{
    height: auto;
    width: 100%;
    background-color: var(--orange);
    margin-bottom: 20px;
}

nav a {
    color: white;
}

nav a:hover {
    color: var(--violet);
}

.navbar-toggler-icon {
    background-image: url("data:image/svg+xml,%3csvg xmlns='http://www.w3.org/2000/svg' width='30' height='30' viewBox='0 0 30 30'%3e%3cpath stroke='white' stroke-linecap='round' stroke-miterlimit='10' stroke-width='2' d='M4 7h22M4 15h22M4 23h22'/%3e%3c/svg%3e");
}

form {
    margin: auto;
    padding: 40px;
    width: 75%;
    border: 5px solid var(--violet);
    border-radius: 20px;
}

.bordures {
    padding: 40px;
    border: 5px solid var(--violet);
    border-radius: 20px;
}

/* Début des checkbox */

input[type="checkbox"]{
    font-size: 1.5em;

    -webkit-appearance: none;
    -moz-appearance: none;
    appearance: none;

    width: 3em;
    height: 1.5em;
    background: #b5b5b5;
    border-radius: 3em;
    position: relative;

    -webkit-transition: all .2s ease-in-out;
    transition: all .2s ease-in-out;
}

input[type="checkbox"]:checked{
    background: var(--violet);
}

input[type="checkbox"]:after{
    position: absolute;
    content: "";
    width: 1.5em;
    height: 1.5em;
    border-radius: 50%;
    background: #c6c6c6;
    -webkit-box-shadow: 0 0 .25em rgba(0,0,0,.3);
    box-shadow: 0 0 .25em rgba(0,0,0,.3);
    -webkit-transform: scale(.7);
    transform: scale(.7);
    left: 0;
    -webkit-transition: all .2s ease-in-out;
    transition: all .2s ease-in-out;
}

input[type="checkbox"]:checked:after{
    left: calc(100% - 1.5em);
}

/* Fin des checkbox */